#
# Author                 Version      Date
# -----------------------------------------------
# Martin Still (SAAO)    0.2          19 Jul 2006
# S M Crawford (SAAO)    0.3          22 Feb 2007
#
# South African Astronomical Observatory
# PO Box 9
# Observatory
# South Africa
#
# ******************************************************************
# Copyright(c) 2002-2004 Association of Universities for Research in 
# Astronomy, Inc.
#
# Package script for the PySALT package

# IRAF patch level V2.12.2a or greater is required.
if (defpar ("release")) {
    if (release <= "2.12.1") {
        printf ("WARNING: IRAF patch level V2.12.2 or greater is required\n")
        printf ("         to run the SALT IRAF package\n")
        sleep 1
    }
} else {
    printf ("WARNING: IRAF patch level V2.12.2 or greater is required\n")
    printf ("         to run the SALT IRAF package\n")
    sleep 1
}
;

# Load necessary packages - only those that are used by all packages

# Set the imtype to fits
reset imtype = "fits"
flpr

# Set up tasks which report on PyRAF-based tasks
task pyexecute = "pysalt$pyexecute.cl"
hidetask pyexecute 

# This task simply prints a message stating that a task needs PyRAF to run
task nopyraf = "pysalt$nopyraf.cl"
hidetask nopyraf

# Add python tree to default Python path, if running PyRAF
pyexecute("pysalt$addpath.py",verbose=no)

#define the different tasks

set saltred = "pysalt$saltred/"
set slottools = "pysalt$slottools/"
set pipetools = "pysalt$pipetools/"

package pysalt

task saltred.pkg = saltred$saltred.cl
if (access('pipetools$pipetools.cl')) {
  task pipetools.pkg = pipetools$pipetools.cl
}
task slottools.pkg = slottools$slottools.cl
task $sed = $foreign
hidetask sed

print(" ")
print("     +----------------------------------------------------+")
print("     |                  _ _                               |")
print("     |   __ _ _  __ __ | | |_    http://www.salt.ac.za    |")
print("     |  | _\ | || _| _`| |  _|   Southern African Large   |")
print("     |  |  /__ |__|\_,_|_|\__|   Telescope PyRAF Package  |")
print("     |  |_| \__'                                          |")
print("     |               Beta Version 0.3   22 FEB 2008       |")
print("     |               Recommend IRAF 2.13/PyRAF 1.3        |")
print("     |               Bug reports: salthelp@salt.ac.za     |")
print("     +----------------------------------------------------+")
print(" ")
print("     Setting imtype=fits")
print(" ")


;
clbye()
